
--utworzenie widoku indeksowanego z wyrażeniem

CREATE VIEW Sales.OrderTotals
WITH SCHEMABINDING
AS
  SELECT
    SalesOrderId, 
    SubTotal + TaxAmt + Freight AS OrderTotal
  FROM Sales.SalesOrderHeader
GO

CREATE UNIQUE CLUSTERED INDEX IX_OrderTotals 
ON Sales.OrderTotals
(OrderTotal, SalesOrderId)




--stała kolumna obliczana

ALTER TABLE SalesData
  ADD ComplexOutput AS 
    (dbo.VeryComplexFunction(CustomerId, OrderId)) 
    PERSISTED





--znajdowanie wszystkich stałych kolumn obliczanych

SELECT OBJECT_NAME(object_id), name
FROM sys.computed_columns
WHERE is_persisted = 1 





